<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAktifitas extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    { // DONE
        // NOtifikasi
        $notifikasi_pengajuan = $this->db->get_where('tbl_arisan_pengajuan')->result();
        $jml_pengajuan        = count($notifikasi_pengajuan);
        // End_notifikasi 
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page 
        $data_arisan_aktif     = $this->select_model->getDataAllArisanAktif(); // Data Semua anggota terdaftar arisan aktif
        // Bagian Arisan Heboh
        $anggota_aktif         = $this->select_model->getDataAnggotaAktif(); // Data Semua Anggota Arisan Status Aktif
        $anggota_menang        = $this->select_model->getDataAnggotaMenang(); // Data Semua Anggota Arisan Menang
        $anggota_mundur        = $this->select_model->getDataAnggotaMundur(); // Data Semua Anggota Arisan Mundur
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'aktifitas',
            'page'                => 'index',
            'judul'               => 'Data Aktifitas Arisan || Bagian Arisan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Isi data konten
            'arisan_aktif'        => $data_arisan_aktif,
            // Jumlah anggota arisan
            'anggota_aktif'       => $anggota_aktif,
            'anggota_menang'      => $anggota_menang,
            'anggota_mundur'      => $anggota_mundur,
            'jml_pengajuan'       => $jml_pengajuan
        );
        $this->load->view('arisan/index', $data);
    }
}

/* End of file ControllerAktifitas.php and path \application\controllers\arisan\aktifitas\ControllerAktifitas.php */